# Pirati UI kit

This repository holds UI styleguide for Czech Pirate Party websites.

It is built upon:

- [Patternlab](https://patternlab.io/) is an awesome tool for developing design systems
- [Tailwind CSS](https://tailwindcss.com/) is a brilliant utility-first CSS framework built on top of PostCSS

## Getting Started

These instructions are for getting the project running off a local development environment:

- Install any system requirements on your dev environment
- Use NPM to install project dependencies and build the project


### System Requirements

- [Node.js](https://nodejs.org) (v12.14.1 LTS or later recommended)

### Install and Run

It's Javascript all the way down so once you have the the system requirements you can run the following commands:

```
npm i
npm run develop
```

The `npm` command will install project dependencies and the `npm run develop` command builds the project, sets up a local server for the Patternlab UI and watches relevant template files to rebuild on any changes.


### Build

The build command compiles the styleguide CSS and the Patternlab output but it doesn't create a server for the styleguide website. To build, run:

```
npm run build
```

### Releasing

First build for production as described  previously:

```
npm run build
```

Now, make new version

```
./scripts/make-version.sh [VERSION_NUMBER]
```

This will create new version bundle under `dist` and also update `dist/latest.tgz` to be your new version.

Finally, create a docker build:

```
docker build -t pirati-ui .
```

You can then run the docker container like this:

```
docker run -p 8001:80 pirati-ui:latest
```
